Index: CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card_old
===================================================================
--- CONFIG/UNIFORM/v6/IPSLESM6/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card_old	(revision 4229)
+++ 	(revision )
@@ -1,204 +1,0 @@
-#
-# This is config.card file for IPSLCM6 configuration
-#
-#========================================================================
-#D-- Compatibility -
-[Compatibility]
-libIGCM=1.0
-#D-- UserChoices -
-[UserChoices]
-#===========================
-JobName= CPL01
-#----- Short Name of Experiment
-ExperimentName=piControl
-#----- DEVT TEST PROD
-SpaceName=DEVT
-LongName="IPSLESM6.0.15"
-TagName=IPSLESM6
-#D- Choice of experiment in EXPERIMENTS directory
-ExpType=IPSLESM/CO2/piControl
-#============================
-#-- leap, noleap, 360d
-CalendarType=leap
-#-- Experiment dates : Beginning and ending
-#-- "YYYY-MM-DD"
-DateBegin=1950-01-01
-DateEnd=1950-12-31
-#============================
-ORCA_version=eORCA1.2
-#============================
-#-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
-PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
-#========================================================================
-#D-- Restarts -
-[Restarts]
-#D- by default: config.card describes no restart for all components 
-#D-             ie start from Levitus or limit files
-#D- If you want to restart all components from the same simulation,
-#D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=n
-#D- Last day of the experience used as restart for all components
-RestartDate=1989-12-31
-#D- Define restart simulation name for all components
-RestartJobName=CM6010.SnwCnd-LR-pdctrl-04
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
-#D-- ATM -
-[ATM]
-WriteFrequency="1M 1D"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=2319-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM607-LR-pdCtrl-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
-#D-- OCE -
-[OCE]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
-#-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=2699-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM6012.1-pi-split-D-02
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
-
-#========================================================================
-#D-- ICE -
-[ICE]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=2699-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM6012.1-pi-split-D-02
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/piControl
-
-#========================================================================
-#D-- MBG -
-[MBG]
-WriteFrequency="1M 1Y"
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=2079-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM6011.0-pdCtrl-blcv-02
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
-#D-- SRF -
-[SRF]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=2319-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM607-LR-pdCtrl-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
-#D-- SBG - STOMATE
-[SBG]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=2319-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM607-LR-pdCtrl-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
-#D-- CPL -
-[CPL]
-WriteFrequency="1M"
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=2319-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM607-LR-pdCtrl-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
-
-#========================================================================
-#D-- IOS -
-[IOS]
-WriteFrequency=""
-# If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-##-- Last day of the experience used as restart for this component if Restart=y
-RestartDate=
-# Define restart simulation name for this component
-RestartJobName=
-RestartPath=
-
-#========================================================================
-#D-- ListOfComponents -
-[ListOfComponents]
-#D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-testing-r2787)
-SRF= (orchidee, trunk-r4067)
-SBG= (stomate, trunk-r4067)
-OCE= (opa9, nemo_v3_6_STABLE-r7664)
-ICE= (lim3, nemo_v3_6_STABLE-r7664)
-MBG= (pisces, nemo_v3_6_STABLE-r7664)
-CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, trunk-r1043)
-
-#========================================================================
-#D-- Executable -
-[Executable]
-#D- For each component, Real name of executable, Name of executable for oasis
-ATM= (gcm.e, lmdz.x, 71MPI, 8OMP)
-SRF= ("" ,"" )
-SBG= ("" ,"" )
-OCE= (opa, opa.xx, 360MPI)
-ICE= ("" ,"" )
-MBG= ("" ,"" )
-CPL= ("", "" )
-IOS= (xios_server.exe, xios.x, 1MPI)
-
-#========================================================================
-#D-- Post -
-[Post]
-ParserXIOS=FALSE
-#D- Do we rebuild parallel output, this flag determines
-#D- frequency of rebuild submission (use NONE for DRYRUN=3)
-RebuildFrequency=NONE
-#D- Do we pack restart and debug txt files, this flag determines
-#D- frequency of pack submission (use NONE for DRYRUN=3)
-PackFrequency=10Y
-#D- To have only the last period in RESTART/*.tar : save 90% of volume.
-#D- TRUE to be effective (nothing by default)
-LightRestartPack=TRUE
-#D- If you want to produce time series, this flag determines
-#D- frequency of post-processing submission (NONE if you dont want)
-TimeSeriesFrequency=10Y
-#D- If you want to produce seasonal average, this flag determines
-#D- the period of this average (NONE if you dont want)
-SeasonalFrequency=10Y
-#D- If you want to produce compute PCMDI metrics from seasonal average
-#D- Set FALSE to deactivate the metrics computation.
-MetricsPCMDI=FALSE
-#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
-#D- Usefull if you do not want to consider the first X simulations years
-SeasonalFrequencyOffset=0
-
-#========================================================================