Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/COMP/inca.card	(revision 4231)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/COMP/inca.card	(revision 4236)
@@ -80,11 +80,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat),\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc) 
 
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/inca.card	(revision 4231)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/COMP/inca.card	(revision 4236)
@@ -56,11 +56,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) ,\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 4231)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 4236)
@@ -60,11 +60,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) ,\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4231)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/COMP/inca.card	(revision 4236)
@@ -80,11 +80,13 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_daily.xml, file_def_inca_daily.xml), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER_monthly.xml, file_def_inca_monthly.xml), \
-    	(${MODIPSL}/bin/inca.dat, .)
+    	(${MODIPSL}/bin/inca.dat, inca.dat)
 
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) 
+List= (reprecipinsoil.dat, precipinsoil.dat, precipinsoil.dat) ,\
+      (chem_restart.nc, chem_restart.nc, chem_start.nc)
 
 