Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/config.card	(revision 4255)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_pdControl/config.card	(revision 4256)
@@ -30,19 +30,16 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1M
-
 #========================================================================
 #D-- Restarts -
 [Restarts]
-#D- by default: config.card describes no restart for all components
-#D-             ie start from Levitus or limit files
-#D- If you want to restart all components from the same simulation,
-#D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=n
-#D- Last day of the experience used as restart for all components
-RestartDate=2001-12-31
-#D- Define restart simulation name for all components
-RestartJobName=ESM.S.pdCtrl.O3
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=y
+#D- Last day of the experience used as restart
+RestartDate=2000-12-31
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=CPLCHTS.VerifSVN
+#D- Path Server Group Login (=> PSGL)
+RestartPath=/ccc/store/cont003/gen2201/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
+# Attention login depend de la machine
 
 #========================================================================
@@ -51,5 +48,5 @@
 WriteFrequency="1M 1D"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -64,5 +61,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -77,5 +74,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -89,5 +86,5 @@
 [MBG]
 WriteFrequency="1M 1Y"
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -102,5 +99,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -115,5 +112,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
@@ -128,5 +125,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/config.card	(revision 4255)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/pdControl/config.card	(revision 4256)
@@ -30,19 +30,16 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1M
-
 #========================================================================
 #D-- Restarts -
 [Restarts]
-#D- by default: config.card describes no restart for all components
-#D-             ie start from Levitus or limit files
-#D- If you want to restart all components from the same simulation,
-#D-      put OveRule flag to 'y' and set the next 3 parameters
-OverRule=n
-#D- Last day of the experience used as restart for all components
-RestartDate=2599-12-31
-#D- Define restart simulation name for all components
-RestartJobName=VLRCHT6.01
-#D- Path Server Group Login
-RestartPath=/ccc/store/cont003/dsmipsl/p24cozic/IGCM_OUT/IPSLCM6/PROD/pdControl
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=y
+#D- Last day of the experience used as restart
+RestartDate=2000-12-31
+#D- Define restart simulation name (=> JOB_OS)
+RestartJobName=CPLCHTS.VerifSVN
+#D- Path Server Group Login (=> PSGL)
+RestartPath=/ccc/store/cont003/gen2201/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
+# Attention login depend de la machine
 
 #========================================================================
@@ -51,5 +48,5 @@
 WriteFrequency="1M 1D"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -64,5 +61,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -77,5 +74,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -89,5 +86,5 @@
 [MBG]
 WriteFrequency="1M 1Y"
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -102,5 +99,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -115,5 +112,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
@@ -128,5 +125,5 @@
 WriteFrequency="1M"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= y
+Restart= n
 #D- Last day of the experience used as restart for all components
 RestartDate=2599-12-31
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER/config.card	(revision 4255)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER/config.card	(revision 4256)
@@ -50,10 +50,9 @@
 CHM= ("", "")
 IOS= (xios_server.exe, xios.x, 1MPI)
-
 #========================================================================
 #D-- Restarts -
 [Restarts]
 #D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
-OverRule=n
+OverRule=y
 #D- Last day of the experience used as restart
 RestartDate=2005-12-31
@@ -88,5 +87,5 @@
 WriteFrequency="1M 1D"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/config.card	(revision 4255)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/LMDZORINCA/NMHC_AER_S/config.card	(revision 4256)
@@ -55,12 +55,13 @@
 [Restarts]
 #D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
-OverRule=n
+OverRule=y
 #D- Last day of the experience used as restart
-RestartDate=2005-12-31
+RestartDate=2000-12-31
 #D- Define restart simulation name (=> JOB_OS)
-RestartJobName=LOI_AR5WERF_E0_2006
+RestartJobName=CPLCHTS.VerifSVN
 #D- Path Server Group Login (=> PSGL)
-RestartPath=/ccc/work/cont003/dsm/p24cozic/INPUT_INCA/IGCM_OUT/LMDZORINCA/NMHC_AER
+RestartPath=/ccc/store/cont003/gen2201/p24cozic/IGCM_OUT/IPSLCM5A2CHT/PROD/pdControl
 # Attention login depend de la machine
+
 
 #========================================================================
@@ -88,5 +89,5 @@
 WriteFrequency="1M 1D"
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart=y
+Restart=n
 #D- Last day of the experience used as restart for all components
 RestartDate=2001-12-31