Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4296)
@@ -32,7 +32,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4296)
@@ -31,7 +31,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4296)
@@ -32,7 +32,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4296)
@@ -32,7 +32,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4296)
@@ -31,7 +31,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4296)
@@ -33,7 +33,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
 PeriodLength=1Y
-
-#D- For curie, use ccc_mprun as suggested by TGCC
-#ExecutionModeOnCurie=ccc_mprun
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- Restarts -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4296)
@@ -24,4 +24,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 PeriodNb=50
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4296)
@@ -26,5 +26,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4296)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4296)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4296)
@@ -29,5 +29,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_nudge/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4296)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_360d/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4296)
@@ -26,4 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4296)
@@ -26,4 +26,8 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
+
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4296)
@@ -36,4 +36,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/lmdz.driver	(revision 4296)
@@ -556,4 +556,15 @@
 	rm add.tmp
     fi
+
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+    listfile=$(ls file_def*lmdz.xml)
+    for file in ${listfile}
+    do
+        sed -e "s/compression_level=.*/compression_level=\"${config_UserChoices_CompressionLevel}\"/g" ${file} > ${file}_tmp
+        IGCM_sys_Mv ${file}_tmp ${file}
+    done
+    fi
+
             
     IGCM_debug_PopStack "ATM_Update"
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/opa9.driver	(revision 4296)
@@ -269,4 +269,15 @@
     fi
 
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+    listfile=$(ls file_def_nemo*.xml)
+    for file in ${listfile}
+    do
+       sed -e "s/compression_level=.*/compression_level=\"${config_UserChoices_CompressionLevel}\"/g" ${file} > ${file}_tmp
+       IGCM_sys_Mv ${file}_tmp ${file}
+    done
+    fi
+
+
     IGCM_debug_PopStack "OCE_Update"
 }
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/orchidee.driver	(revision 4295)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/orchidee.driver	(revision 4296)
@@ -166,4 +166,15 @@
     fi
 
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+    listfile=$(ls file_def*orchidee.xml)
+    for file in ${listfile}
+    do
+        sed -e "s/compression_level=.*/compression_level=\"${config_UserChoices_CompressionLevel}\"/g" ${file} > ${file}_tmp
+        IGCM_sys_Mv ${file}_tmp ${file}
+    done
+    fi
+
+
 
     IGCM_debug_PopStack "SRF_Update"