Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/dynamico.card	(revision 4343)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/dynamico.card	(revision 4344)
@@ -42,4 +42,4 @@
 
 [OutputFiles]
-List=	( start.nc,       ${R_OUT_ICO_O}/Restart/${config_UserChoices_JobName}_clim_start.nc,    NONE), \
+List=	( start.nc,       ${R_OUT_ICO_O}/Restart/${config_UserChoices_JobName}_${year}_start.nc,    NONE)
 
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/lmdz.card	(revision 4343)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/COMP/lmdz.card	(revision 4344)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Physics package to use
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.1.3
 
 # Manage radiative aerosol effect and ozone 
@@ -15,6 +15,5 @@
 # read_climoz : interpolation of ozone files. 
 # Use read_climoz=1 for CMIP6 ozone files, 2 for CMIP5 ozone files and 0 for no interpolation
-# LMDZ6/trunk revision 3281 or later is needed for read_climoz=1 (not included in branche IPSLCM6.0.15)
-read_climoz=0
+read_climoz=1
 
 ok_cdnc=y
@@ -24,6 +23,6 @@
 
 [BoundaryFiles]
-List=   (${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sst_360x180_${year}.nc,    amipbc_sst_1x1.nc), \
-	(${R_IN}/ATM/LIMIT/AMIP.v20180427/original/360x180/BCS/amipbc_sic_360x180_${year}.nc,    amipbc_sic_1x1.nc), \
+List=   (${R_IN}/ATM/LIMIT/AMIP.v2014/original/360x180_icolmdz/amipbc_sst_360x180_1988_2007_clim.nc,    amipbc_sst_1x1.nc), \
+	(${R_IN}/ATM/LIMIT/AMIP.v2014/original/360x180_icolmdz/amipbc_sic_360x180_1988_2007_clim.nc,    amipbc_sic_1x1.nc), \
 	(${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/original/144x96x66/tro3_${year}.nc, climoz.nc), \
 
@@ -34,5 +33,5 @@
         (${R_IN}/ATM/INPUT_CE0L/Rugos4.nc, Rugos.nc), \
         (${R_IN}/ATM/INPUT_CE0L/landiceref4.nc, landiceref.nc), \
-        (${R_IN}/ATM/OROGRAPHY/orography_2_00_npb${RESOL_NBP}_v0.nc, orography_2_00.nc), \
+        (${R_IN}/ATM/OROGRAPHY/orography_2_00_nbp${RESOL_NBP}_v0.nc, orography_2_00.nc), \
         (${SUBMIT_DIR}/PARAM/XMLlmdz/context_lmdz.xml, . ),            \
         (${SUBMIT_DIR}/PARAM/XMLlmdz/context_input_lmdz.xml, . ),      \
@@ -50,5 +49,9 @@
         (${SUBMIT_DIR}/PARAM/XMLlmdz/file_def_histins_lmdz.xml, . ),   \
         (${SUBMIT_DIR}/PARAM/XMLlmdz/file_def_histstrataer_lmdz.xml, . ),\
-        (${SUBMIT_DIR}/PARAM/XMLlmdz/file_def_histLES_lmdz.xml, . )
+        (${SUBMIT_DIR}/PARAM/XMLlmdz/file_def_histLES_lmdz.xml, . ),\
+        (${R_IN}/ATM/AEROSOLS/CMIP6/v1/144x142/L${RESOL_ATM_Z}/aerosols1850_from_inca.nc,   aerosols.nat.nc),\
+        (${R_IN}/ATM/AEROSOLS/CMIP6/v1/144x142/L${RESOL_ATM_Z}/aerosols1995_from_inca.nc,   aerosols1980.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/144x142/L${RESOL_ATM_Z}/taulwstrat.2D.ave.nc, taulwstrat.2D.nc),\
+        (${R_IN}/ATM/STRATAERO/CMIP6/v3/144x142/L${RESOL_ATM_Z}/tauswstrat.2D.ave.nc, tauswstrat.2D.nc)
 
 
@@ -80,3 +83,3 @@
 	( climoz_LMDZ.nc, ${R_OUT_ATM_O}/Boundary/${config_UserChoices_JobName}_${year}_climoz_LMDZ.nc, NONE), \
 	( startphy.nc,    ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_${year}_startphy.nc,     NONE), \
-	( grilles_gcm.nc, ${R_OUT_ATM_O}/Grid/${config_UserChoices_JobName}_${year}_grilles_gcm.nc,     NONE)
+	( grid_atm.nc,    ${R_OUT_ATM_O}/Grid/${config_UserChoices_JobName}_${year}_grid_atm.nc,        NONE)
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/config.card	(revision 4343)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/EXPERIMENTS/ICOLMDZ/CREATE_amip/config.card	(revision 4344)
@@ -41,5 +41,5 @@
 ICO= (icosa_lmdz.exe, icosa_lmdz.exe, 31MPI)
 ATM= ("","")
-IOS= (xios_server.exe, xios.x, 1MPI)
+IOS= ("","")
 
 #========================================================================