Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp160
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp160	(revision 4349)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp160	(revision 4349)
@@ -0,0 +1,84 @@
+mpi_threading_mode=funneled
+# ------------------------------- Mesh ---------------------------------
+
+# Number of subdivision on a main triangle (nbp) : integer (default=40)
+nbp=160
+
+# nbp                 20  40  80 160
+# T-edge length (km) 500 250 120  60
+
+# sub splitting of main rhombus : integer (default=1)
+nsplit_i=8
+nsplit_j=8
+omp_level_size=4
+
+# optim_it : mesh optimisation : number of iteration : integer (default=0)
+optim_it=500
+
+# ---------------------------------- Time---------------------------------
+
+# timestep : real (default=480s)
+dt = 75.
+
+# advection called every itau_adv time steps : integer (default 2)
+# standard : umax=100m/s vs c=340m/s (ratio 1:3)
+# in JW06 umax=35m/s vs c=340m/s (ratio 1:10)
+itau_adv=1
+
+# run length : real (default=dt*itaumax)
+run_length=_AUTOBLOCKER_
+
+# output field period : integer (default none)
+write_period=86400
+
+itau_check_conserv=100
+
+# ---------------------------------- Misc --------------------------------
+# number of tracer (nqtot) : integer (default 1)
+nqtot=6
+
+
+# pression value where output is interpolated : real (default=0, no output)
+out_pression_level=85000
+
+start_file_name=start
+restart_file_name=restart
+
+# ---------------------------------- Dissipation ---------------------------------
+
+# dissipation time graddiv : real (default=5000)
+tau_graddiv = 900
+
+# number of iteration for graddiv : integer (default=1)
+nitergdiv = 1
+
+# dissipation time nxgradrot (default=5000)
+tau_gradrot = 5400
+
+# number of iteration for nxgradrot : integer (default=1)
+nitergrot=2
+
+# dissipation time divgrad (theta) (default=5000)
+tau_divgrad=2700
+
+# number of iteration for divgrad : integer (default=1)
+niterdivgrad=2
+
+# -------------------------------- Physics -------------------------------------
+
+# kind of physics : string : none, dcmip (default=none)
+physics=phys_external
+
+# itau_physics: dt_phys=itau_physics*dt here dt=75s => dt_phys=900s
+itau_physics=12
+
+
+
+# Following parameters are changed by options set in dynamico.card
+create_etat0_limit=_AUTO_ 
+etat0=_AUTO_
+iflag_phys=_AUTO_
+
+# heldsz_p0 is only read if etat0=held_suarez (aquaplanet simulation)
+heldsz_p0=101080
+
Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp40
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp40	(revision 4348)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp40	(revision 4349)
@@ -14,5 +14,5 @@
 
 # optim_it : mesh optimisation : number of iteration : integer (default=0)
-optim_it=0
+optim_it=500
 
 # ---------------------------------- Time---------------------------------
@@ -70,4 +70,5 @@
 physics=phys_external
 
+# itau_physics: dt_phys=itau_physics*dt here dt=300s => dt_phys=900s
 itau_physics=3
 
@@ -78,4 +79,5 @@
 etat0=_AUTO_
 iflag_phys=_AUTO_
-### held_suarez pour aquaplanete. It is probably not read if etat0=database
+
+# heldsz_p0 is only read if etat0=held_suarez (aquaplanet simulation)
 heldsz_p0=101080
Index: /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp80
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp80	(revision 4348)
+++ /CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/run_dynamico.def_nbp80	(revision 4349)
@@ -14,5 +14,5 @@
 
 # optim_it : mesh optimisation : number of iteration : integer (default=0)
-optim_it=0
+optim_it=500
 
 # ---------------------------------- Time---------------------------------
@@ -70,11 +70,13 @@
 physics=phys_external
 
+# itau_physics: dt_phys=itau_physics*dt here dt=150s => dt_phys=900s
 itau_physics=6
 
 
 # Following parameters are changed by options set in dynamico.card
-create_etat0_limit= _AUTO_
-etat0 = _AUTO_
-iflag_phys = _AUTO_
-### held_suarez pour aquaplanete. It is probably not read if etat0=database
+create_etat0_limit=_AUTO_ 
+etat0=_AUTO_
+iflag_phys=_AUTO_
+
+# heldsz_p0 is only read if etat0=held_suarez (aquaplanet simulation)
 heldsz_p0=101080