Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4353)
@@ -24,4 +24,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 PeriodNb=50
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/clim_360d/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4353)
@@ -14,5 +14,5 @@
 TagName=LMDZOR
 # LongName, ModelName and Member are used to copy dr2xml files
-LongName="IPSLCM6.1.8-LR"
+LongName="IPSLCM6.1.9-LR"
 ModelName=IPSL-CM6A-LR
 Member=r1i1p1f1
@@ -29,5 +29,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip_nudge/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_360d/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4353)
@@ -26,4 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4353)
@@ -26,4 +26,8 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
+
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4353)
@@ -36,4 +36,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/lmdz.driver	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/lmdz.driver	(revision 4353)
@@ -556,4 +556,15 @@
 	rm add.tmp
     fi
+
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+    echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+    listfile=$(ls file_def*lmdz.xml)
+    for file in ${listfile}
+    do
+        sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+    done
+    fi
+
             
     IGCM_debug_PopStack "ATM_Update"
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/orchidee.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.2/GENERAL/DRIVER/orchidee.driver	(revision 4353)
@@ -36,12 +36,10 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq 1mo
-
         IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 enabled .FALSE.
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq 1mo
-
-        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled .FALSE.
-        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
-        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
     fi
 
@@ -171,4 +169,15 @@
     fi
 
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+	echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+    	listfile=$(ls file_def*orchidee.xml)
+    	for file in ${listfile}
+    	do
+	    sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+    	done
+    fi
+
+
 
     IGCM_debug_PopStack "SRF_Update"
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_amip/config.card	(revision 4353)
@@ -24,4 +24,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #============================
 PeriodNb=50
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/CREATE_clim_360d/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #D-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/clim_360d/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZ/clim_360d/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_CMIP6/config.card	(revision 4353)
@@ -14,5 +14,5 @@
 TagName=LMDZOR
 # LongName, ModelName and Member are used to copy dr2xml files
-LongName="IPSLCM6.1.8-LR"
+LongName="IPSLCM6.1.9-LR"
 ModelName=IPSL-CM6A-LR
 Member=r1i1p1f1
@@ -29,5 +29,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/amip_nudge/config.card	(revision 4353)
@@ -26,5 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
-
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 #========================================================================
 #D-- ListOfComponents -
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_360d/config.card	(revision 4353)
@@ -26,4 +26,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 4353)
@@ -26,4 +26,8 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
+
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/EXPERIMENTS/LMDZOR/highresmip_CMIP6/config.card	(revision 4353)
@@ -36,4 +36,7 @@
 #-- 1Y, 1M, 5D, 1D Period Length for one execution
 PeriodLength=1Y
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
 
 #========================================================================
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/lmdz.driver	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/lmdz.driver	(revision 4353)
@@ -556,4 +556,15 @@
 	rm add.tmp
     fi
+
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+    echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+    listfile=$(ls file_def*lmdz.xml)
+    for file in ${listfile}
+    do
+        sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+    done
+    fi
+
             
     IGCM_debug_PopStack "ATM_Update"
Index: /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 4352)
+++ /CONFIG/UNIFORM/v6/LMDZOR_v6.3/GENERAL/DRIVER/orchidee.driver	(revision 4353)
@@ -36,12 +36,10 @@
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq 1mo
-
         IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 enabled .FALSE.
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level 0
 	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq 1mo
-
-        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled .FALSE.
-        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
-        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 enabled .FALSE.
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_level 0
+	IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate3 output_freq 1mo
     fi
 
@@ -171,4 +169,15 @@
     fi
 
+    #Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+	echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+    	listfile=$(ls file_def*orchidee.xml)
+    	for file in ${listfile}
+    	do
+	    sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+    	done
+    fi
+
+
 
     IGCM_debug_PopStack "SRF_Update"