Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/context_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/context_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/context_lmdz.xml	(revision 4369)
@@ -18,7 +18,7 @@
   <file_definition src="./file_def_histdayNMC_lmdz.xml"/>
   <file_definition src="./file_def_histhfNMC_lmdz.xml"/>
-  <file_definition src="./file_def_histmthCOSP_lmdz.xml"/> -->
-  <file_definition src="./file_def_histdayCOSP_lmdz.xml"/>  -->
-  <file_definition src="./file_def_histhfCOSP_lmdz.xml"/> --> 
+  <file_definition src="./file_def_histmthCOSP_lmdz.xml"/>
+  <file_definition src="./file_def_histdayCOSP_lmdz.xml"/> 
+  <file_definition src="./file_def_histhfCOSP_lmdz.xml"/>  
   <file_definition src="./file_def_histstrataer_lmdz.xml"/>
 
@@ -83,5 +83,6 @@
     <axis id="column" standard_name="column" unit="count"/> 
     <axis id="temp" standard_name="temperature" unit="K"/> 
-    <axis id="cth16" standard_name="altitude" unit="m"/> 
+<!--    <axis id="cth16" standard_name="altitude" unit="m"/>   ym unused now to be in adequation with axis definition from model --> 
+    <axis id="cth" standard_name="altitude" unit="m"/> 
     <axis id="ReffIce" standard_name="ReffIce" unit="microne" />
     <axis id="ReffLiq" standard_name="ReffLiq" unit="microne" />
@@ -238,10 +239,10 @@
      <grid id="grid4Dmisr">
         <domain domain_ref="dom_glo" />
-        <axis axis_ref="cth16" />
+        <axis axis_ref="cth" />
         <axis axis_ref="tau" />
      </grid>
      <grid id="grid4Dmisr_out">
         <domain domain_ref="dom_out" />
-        <axis axis_ref="cth16" />
+        <axis axis_ref="cth" />
         <axis axis_ref="tau" />
      </grid>
@@ -258,10 +259,10 @@
      </grid>
 
+     <grid id="grid4Dreffl">
+        <domain domain_ref="dom_glo" />
+        <axis axis_ref="tau" />
+        <axis axis_ref="ReffLiq" />
+     </grid>
      <grid id="grid4Dreffl_out">
-        <domain domain_ref="dom_glo" />
-        <axis axis_ref="tau" />
-        <axis axis_ref="ReffLiq" />
-     </grid>
-     <grid id="grid4Dreffl">
         <domain domain_ref="dom_out" />
         <axis axis_ref="tau" />
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histLES_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histLES_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histLES_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histLES" name="XhistLES" output_freq="1h" output_level="11" enabled="false" compression_level="0">
-          <variable id="LongName" type="string">LMDZOR configuration</variable>
             
             <!-- VARS 1D -->
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histdayCOSP_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histdayCOSP_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histdayCOSP_lmdz.xml	(revision 4369)
@@ -1,6 +1,5 @@
 <file_definition>
       <file_group id="defile">
-        <file id="histdayCOSP" name="histdayCOSP" output_freq="1d" output_level="10"  enabled="false" compression_level="0">
-          <variable id="LongName" type="string">LMDZOR configuration</variable>
+        <file id="histdayCOSP" name="histdayCOSP" output_freq="1d" output_level="_AUTO_"  enabled="_AUTO_" compression_level="0">
           
             <field_group group_ref="remap_1d">
@@ -86,6 +85,6 @@
                 <field field_ref="iwpmodis" level="5" grid_ref="grid_out"/>
                 <field field_ref="clmodis" level="5" grid_ref="grid4Dtau_out"/>
-                <field field_ref="crimodis" level="10" grid_ref="grid4Dtau_out"/>
-                <field field_ref="crlmodis" level="10" grid_ref="grid4Dtau_out"/>
+                <field field_ref="crimodis" level="10" grid_ref="grid4Dreffi_out"/>
+                <field field_ref="crlmodis" level="10" grid_ref="grid4Dreffl_out"/>
              </field_group>
           </field_group>
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histdayNMC_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histdayNMC_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histdayNMC_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histdayNMC" name="histdayNMC" output_freq="1d" output_level="_AUTO_" enabled="_AUTO_" compression_level="2">
-           <variable id="LongName" type="string">LMDZOR configuration</variable>
 
             <field_group group_ref="remap_1d">
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histday_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histday_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histday_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histday" name="histday" output_freq="1d" output_level="_AUTO_" enabled="_AUTO_" compression_level="2" sync_freq="1d">
-           <variable id="LongName" type="string">LMDZOR configuration</variable>
             
             <!-- VARS 1D -->
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhfCOSP_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhfCOSP_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhfCOSP_lmdz.xml	(revision 4369)
@@ -1,6 +1,5 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histhfCOSP" name="histhfCOSP" output_freq="3h" output_level="10"  enabled="false" compression_level="0">
-            <variable id="LongName" type="string">LMDZOR configuration</variable>
+        <file id="histhfCOSP" name="histhfCOSP" output_freq="3h" output_level="_AUTO_"  enabled="_AUTO_" compression_level="0">
 
             <field_group group_ref="remap_3h">
@@ -91,6 +90,6 @@
                 <field field_ref="iwpmodis" level="5"  grid_ref="grid_out"/>
                 <field field_ref="clmodis" level="5" grid_ref="grid4Dtau_out"/>
-                <field field_ref="crimodis" level="10" grid_ref="grid4Dtau_out"/>
-                <field field_ref="crlmodis" level="10" grid_ref="grid4Dtau_out"/>
+                <field field_ref="crimodis" level="10" grid_ref="grid4Dreffi_out"/>
+                <field field_ref="crlmodis" level="10" grid_ref="grid4Dreffl_out"/>
             </field_group>
           
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhfNMC_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhfNMC_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhfNMC_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histhfNMC" name="histhfNMC" output_freq="6h" output_level="_AUTO_" enabled="_AUTO_" compression_level="2">
-<variable id="LongName" type="string">LMDZOR configuration</variable>
 
             <field_group group_ref="remap_6h">
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhf_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhf_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histhf_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histhf" name="histhf" output_freq="3h" output_level="_AUTO_" enabled="_AUTO_" compression_level="2" sync_freq="3h">
-           <variable id="LongName" type="string">LMDZOR configuration</variable>
             
             <!-- VARS 1D -->
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histins_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histins_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histins_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histins" name="Xhistins" output_freq="1ts" output_level="11" enabled="false" compression_level="0">
-          <variable id="LongName" type="string">LMDZOR configuration</variable>
             
             <!-- VARS 1D -->
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmthCOSP_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmthCOSP_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmthCOSP_lmdz.xml	(revision 4369)
@@ -1,6 +1,5 @@
 <file_definition>
      <file_group id="defile">
-        <file id="histmthCOSP" name="histmthCOSP" output_freq="1mo" output_level="0"  enabled="false" compression_level="0">
-          <variable id="LongName" type="string">LMDZOR configuration</variable>
+        <file id="histmthCOSP" name="histmthCOSP" output_freq="1mo" output_level="_AUTO_"  enabled="_AUTO_" compression_level="0">
 
             <field_group group_ref="remap_1mo">
@@ -87,6 +86,6 @@
                 <field field_ref="iwpmodis" level="5" grid_ref="grid_out"/>
                 <field field_ref="clmodis" level="5" grid_ref="grid4Dtau_out"/>
-                <field field_ref="crimodis" level="10" grid_ref="grid4Dtau_out"/>
-                <field field_ref="crlmodis" level="10" grid_ref="grid4Dtau_out"/>
+                <field field_ref="crimodis" level="10" grid_ref="grid4Dreffi_out"/>
+                <field field_ref="crlmodis" level="10" grid_ref="grid4Dreffl_out"/>
              </field_group>
            </field_group> 
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmthNMC_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmthNMC_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmthNMC_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histmthNMC" name="histmthNMC" output_freq="1mo" output_level="_AUTO_" enabled="_AUTO_" compression_level="2">
-<variable id="LongName" type="string">LMDZOR configuration</variable>
 
             <field_group group_ref="remap_1mo">
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmth_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmth_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histmth_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
         <file_group id="defile">
         <file id="histmth" name="histmth" output_freq="1mo" output_level="_AUTO_"  enabled="_AUTO_" compression_level="2">
-           <variable id="LongName" type="string">LMDZOR configuration</variable>
 
             <!-- VARS 1D -->
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histstn_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histstn_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histstn_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histstn" name="histstn" output_freq="1800s" output_level="_AUTO_" enabled="_AUTO_" compression_level="2">
-           <variable id="LongName" type="string">LMDZOR configuration</variable>
 
             <!-- VARS 1D -->
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histstrataer_lmdz.xml
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histstrataer_lmdz.xml	(revision 4368)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_v7/GENERAL/PARAM/XMLlmdz/file_def_histstrataer_lmdz.xml	(revision 4369)
@@ -2,5 +2,4 @@
     <file_group id="defile">
         <file id="histstrataer" name="histstrataer" output_freq="1d" output_level="_AUTO_" enabled="_AUTO_" compression_level="2">
-            <variable id="LongName" type="string">LMDZOR configuration</variable>
 
             <field_group group_ref="remap_1d">